=== debian/changelog ===
iminuit (2.11.2-4) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Build-Depends: python3-tabulate
  * Add salsa-ci.yml
  * Update standards version to 4.6.2, no changes needed.
  * No need for debhelper if debhelper-compat is specified

  [ Ole Streicher ]
  * Fix for newer scipy 1.10 (Closes: #1030174)
  * Add autopkgtests
  * Update changelog for 2.11.2-3 release
  * Mark test_matrix as xfail

 -- Ole Streicher <olebole@debian.org>  Fri, 17 Feb 2023 17:02:03 +0100

iminuit (2.11.2-3) unstable; urgency=medium

  * Team upload.
  * Replace local pybuild11 includes with Debian package (Closes: #1024019)

 -- Ole Streicher <olebole@debian.org>  Tue, 15 Nov 2022 21:10:33 +0100

iminuit (2.11.2-2) unstable; urgency=low

  * source-only re-upload

 -- Jeremy Sanders <jeremy@jeremysanders.net>  Tue, 07 Jun 2022 20:10:00 +0200

iminuit (2.11.2-1) unstable; urgency=low

  * Initial packaging (closes: #968075)

 -- Jeremy Sanders <jeremy@jeremysanders.net>  Mon, 16 May 2022 08:00:00 +0200
