=== debian/control ===
Source: iminuit
Section: science
Priority: optional
Homepage: https://github.com/scikit-hep/iminuit
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Sanders <jeremy@jeremysanders.net>
Vcs-Git: https://salsa.debian.org/science-team/iminuit.git
Vcs-Browser: https://salsa.debian.org/science-team/iminuit
Build-Depends: cmake,
               debhelper-compat (=13),
               dh-exec,
               dh-python,
               python3-all-dev,
               python3-matplotlib,
               python3-numpy,
               python3-pybind11,
               python3-pytest,
               python3-setuptools,
               python3-tabulate <!nocheck>,
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-iminuit
Architecture: any
Section: python
Depends: python3-numpy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Robust Python minimisation library based around MINUIT2
 iminuit is a Jupyter-friendly Python frontend to the MINUIT2 C++ library.
 It can be used as a general robust function minimisation method, but is
 most commonly used for likelihood fits of models to data, and to get model
 parameter error estimates from likelihood profile analysis.
