=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=iminuit
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# to ensure hardening
export VERBOSE=1
export CMAKE_ARGS=-DCMAKE_VERBOSE_MAKEFILE=ON
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build: delete_generated
	ln -sf /usr/include/pybind11/ extern/pybind11/include/
	dh_auto_build

override_dh_clean: delete_generated
# force cython code to be regenerated
	rm -f src/iminuit/_libiminuit.cpp
	dh_clean

delete_generated:
# delete files generated by rules
	rm -rf .pytest_cache src/iminuit.egg-info/
