=== debian/watch ===
version=4
opts="pgpmode=none" \
https://pypi.debian.net/iminuit/iminuit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
