## iminuit 2.24.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.13...3.17)
+cmake_minimum_required(VERSION 3.15...3.26)
 
 project(iminuit LANGUAGES CXX)
 
-if(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
+if(NOT DEFINED SKBUILD)
   message(
     WARNING
-      "You should call this through setup.py so that all variables are set; python setup.py build_ext --inplace"
+      "You should call this through Python so that all variables are set; pip install -v ."
   )
 endif()
 
@@ -15,8 +15,7 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON) # optional, ensure standard is supported
 set(CMAKE_CXX_EXTENSIONS OFF) # optional, keep compiler extensionsn off
 
-# Now we can find pybind11
-add_subdirectory(extern/pybind11)
+find_package(pybind11 CONFIG REQUIRED)
 
 file(GLOB SOURCES_A "src/*.cpp")
 set(SOURCES_B
@@ -93,3 +92,5 @@
 endif()
 target_include_directories(_core PRIVATE extern/root/math/minuit2/inc)
 set_target_properties(_core PROPERTIES VISIBILITY_INLINES_HIDDEN ON)
+
+install(TARGETS _core DESTINATION iminuit)
