=== debian/changelog ===
iminuit (2.24.0-2) unstable; urgency=medium

  * Disable numba everywhere except amd64, i386 and ppc64el
  * Skip test that fails on arm64 and ppc64el

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 23 Aug 2023 18:03:13 +0200

iminuit (2.24.0-1) unstable; urgency=medium

  * New upstream version 2.24.0
  * Drop old patches for testsuite

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 23 Aug 2023 13:07:41 +0200

iminuit (2.22.0-2) unstable; urgency=medium

  * Try to fix _safe_log for low precision architectures
  * Fix missing dpkg CPPFLAGS

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 05 Jul 2023 01:36:33 +0200

iminuit (2.22.0-1) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * New upstream version 2.18.0

  [ Stephan Lachnit ]
  * Remove pybind11 from tarball
  * New upstream version 2.22.0

 -- Stephan Lachnit <stephanlachnit@debian.org>  Mon, 03 Jul 2023 23:39:55 +0200
