=== debian/control ===
Source: iminuit
Section: science
Priority: optional
Homepage: https://github.com/scikit-hep/iminuit
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Sanders <jeremy@jeremysanders.net>,
           Stephan Lachnit <stephanlachnit@debian.org>
Vcs-Git: https://salsa.debian.org/science-team/iminuit.git
Vcs-Browser: https://salsa.debian.org/science-team/iminuit
Build-Depends: cmake,
               debhelper-compat (=13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-ipykernel <!nocheck>,
#               python3-ipywidgets <!nocheck>, needs ipywidgets v8 (#896460)
               python3-matplotlib <!nocheck>,
               python3-numba [amd64 i386 ppc64el] <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pybind11,
#               python3-pydantic <!nocheck>, needs python3-annotated-types (#1050339)
               python3-pytest <!nocheck>,
               python3-scipy <!nocheck>,
               python3-setuptools,
               python3-tabulate <!nocheck>,
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-iminuit
Architecture: any
Section: python
Depends: python3-numpy,
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
Recommends: python3-ipywidgets (>= 8.0.0),
            python3-matplotlib,
            python3-numba [amd64 i386 ppc64el],
            python3-scipy,
Description: Robust Python minimisation library based around MINUIT2
 iminuit is a Jupyter-friendly Python frontend to the MINUIT2 C++ library.
 It can be used as a general robust function minimisation method, but is
 most commonly used for likelihood fits of models to data, and to get model
 parameter error estimates from likelihood profile analysis.
