=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=iminuit
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# to ensure hardening
export VERBOSE=1
export CMAKE_ARGS=-DCMAKE_BUILD_TYPE=None -DCMAKE_VERBOSE_MAKEFILE=ON
export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --with python3 --buildsystem=pybuild
