=== debian/tests/control ===
Tests: pytest
Depends: python3-iminuit,
         python3-pytest,
         python3-ipykernel,
#         python3-ipywidgets, needs ipywidgets v8 (#896460)
         python3-matplotlib,
         python3-numba [amd64 i386 ppc64el],
#         python3-pydantic, needs python3-annotated-types (#1050339)
         python3-scipy,
         python3-tabulate,
