## iminuit 2.30.0

=== debian/changelog ===
iminuit (2.30.0-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:38:26 +0100

iminuit (2.30.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.30.0
  * Remove old patches and switch from python3-setuptools to python3-skbuild

 -- Alexandre Detiste <tchet@debian.org>  Mon, 30 Sep 2024 16:59:59 +0200

iminuit (2.24.0-3) unstable; urgency=medium

  * Team upload
  * Disable numba, not yet compatible with Python 3.12
  * Ignore DeprecationWarnings during build-time tests to avoid
    FTBFS with Python 3.12

 -- Graham Inggs <ginggs@debian.org>  Mon, 11 Dec 2023 15:53:11 +0000
