=== debian/control ===
--- 
+++ 
@@ -15,13 +15,13 @@
                python3-ipykernel <!nocheck>,
 #               python3-ipywidgets <!nocheck>, needs ipywidgets v8 (#896460)
                python3-matplotlib <!nocheck>,
-               python3-numba [amd64 i386 ppc64el] <!nocheck>,
+#               python3-numba [amd64 i386 ppc64el] <!nocheck>,
                python3-numpy <!nocheck>,
                python3-pybind11,
 #               python3-pydantic <!nocheck>, needs python3-annotated-types (#1050339)
                python3-pytest <!nocheck>,
                python3-scipy <!nocheck>,
-               python3-setuptools,
+               python3-scikit-build-core,
                python3-tabulate <!nocheck>,
 Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-python
