=== extern/root/math/minuit2/src/math/CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,10 @@
 
 set(MATH_SOURCES
     GenAlgoOptions.cxx
+    IOptions.cxx
+    Minimizer.cxx
     MinimizerOptions.cxx
+    ParameterSettings.cxx
     )
 
 copy_standalone(SOURCE ../../../mathcore/inc/Fit DESTINATION ../../inc/Fit
@@ -86,8 +89,8 @@
 
 install(TARGETS Minuit2Math
         EXPORT Minuit2Targets
-        LIBRARY DESTINATION lib
-        ARCHIVE DESTINATION lib
+        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
         )
 
 install(FILES ${FIT_HEADERS} DESTINATION include/Minuit2/Fit)
