=== debian/changelog ===
iminuit (2.30.1-3build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:08:01 +0000

iminuit (2.30.1-3) unstable; urgency=medium

  * Team upload.
  * Skip flaky test (xfail seems not to be enough). Closes: #1095348.

 -- Santiago Vila <sanvila@debian.org>  Fri, 21 Mar 2025 14:30:00 +0100

iminuit (2.30.1-2) unstable; urgency=medium

  * Team upload.
  * Mark flaky test as xfail. Closes: #1095348.

 -- Santiago Vila <sanvila@debian.org>  Fri, 21 Mar 2025 13:20:00 +0100

iminuit (2.30.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.30.1 (Closes: #1095348)
  * Fix license name for BSD-2-Clause in d/copyright
  * Push Standards-Version to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Sun, 09 Mar 2025 12:51:47 +0100
