=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: iminuit
-Section: science
-Priority: optional
-Homepage: https://github.com/scikit-hep/iminuit
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Sanders <jeremy@jeremysanders.net>,
            Stephan Lachnit <stephanlachnit@debian.org>
-Vcs-Git: https://salsa.debian.org/science-team/iminuit.git
-Vcs-Browser: https://salsa.debian.org/science-team/iminuit
+Section: science
+Testsuite: autopkgtest-pkg-python
+Priority: optional
 Build-Depends: cmake,
                debhelper-compat (=13),
                dh-sequence-python3,
@@ -22,9 +20,11 @@
                python3-pytest <!nocheck>,
                python3-scipy <!nocheck>,
                python3-scikit-build-core,
-               python3-tabulate <!nocheck>,
-Standards-Version: 4.6.2
-Testsuite: autopkgtest-pkg-python
+               python3-tabulate <!nocheck>
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/science-team/iminuit
+Vcs-Git: https://salsa.debian.org/science-team/iminuit.git
+Homepage: https://github.com/scikit-hep/iminuit
 Rules-Requires-Root: no
 
 Package: python3-iminuit
@@ -33,11 +33,11 @@
 Depends: python3-numpy,
          ${python3:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
+         ${misc:Depends}
 Recommends: python3-ipywidgets (>= 8.0.0),
             python3-matplotlib,
             python3-numba [amd64 i386 ppc64el],
-            python3-scipy,
+            python3-scipy
 Description: Robust Python minimisation library based around MINUIT2
  iminuit is a Jupyter-friendly Python frontend to the MINUIT2 C++ library.
  It can be used as a general robust function minimisation method, but is
