=== debian/watch ===
version=4
opts="pgpmode=none" \
https://pypi.debian.net/iminuit/iminuit-v?@ANY_VERSION@@ARCHIVE_EXT@
